Show / Hide Table of Contents

# Struct AgentSalvage

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.GetType()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: FFXIVClientStructs.FFXIV.Client.UI.Agent

###### Assembly: FFXIVClientStructs.dll

##### Syntax

    public struct AgentSalvage

### Fields

| Improve this Doc View Source

#### AgentInterface

##### Declaration

    public AgentInterface AgentInterface

##### Field Value

Type | Description
--- | ---
AgentInterface |

| Improve this Doc View Source

#### DesynthItem

##### Declaration

    public SalvageResult DesynthItem

##### Field Value

Type | Description
--- | ---
SalvageResult |

| Improve this Doc View Source

#### DesynthItemId

##### Declaration

    public uint DesynthItemId

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### DesynthItemSlot

##### Declaration

    public InventoryItem*DesynthItemSlot

##### Field Value

Type | Description
--- | ---
InventoryItem* |

| Improve this Doc View Source

#### DesynthResult

##### Declaration

    public byte *DesynthResult

##### Field Value

Type | Description
--- | ---
System.Byte* |

| Improve this Doc View Source

#### ItemCount

##### Declaration

    public uint ItemCount

##### Field Value

Type | Description
--- | ---
System.UInt32 |

| Improve this Doc View Source

#### ItemList

##### Declaration

    public AgentSalvage.SalvageListItem*ItemList

##### Field Value

Type | Description
--- | ---
AgentSalvage.SalvageListItem* |

| Improve this Doc View Source

#### SelectedCategory

##### Declaration

    public AgentSalvage.SalvageItemCategory SelectedCategory

##### Field Value

Type | Description
--- | ---
AgentSalvage.SalvageItemCategory |

| Improve this Doc View Source

#### TextAlchemist

##### Declaration

    public Utf8String TextAlchemist

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextArmourer

##### Declaration

    public Utf8String TextArmourer

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextBlacksmith

##### Declaration

    public Utf8String TextBlacksmith

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextCarpenter

##### Declaration

    public Utf8String TextCarpenter

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextCulinarian

##### Declaration

    public Utf8String TextCulinarian

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextGoldsmith

##### Declaration

    public Utf8String TextGoldsmith

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextLeatherworker

##### Declaration

    public Utf8String TextLeatherworker

##### Field Value

Type | Description
--- | ---
Utf8String |

| Improve this Doc View Source

#### TextWeaver

##### Declaration

    public Utf8String TextWeaver

##### Field Value

Type | Description
--- | ---
Utf8String |

### Properties

| Improve this Doc View Source

#### DesynthResultSpan

##### Declaration

    public readonly Span<SalvageResult> DesynthResultSpan { get; }

##### Property Value

Type | Description
--- | ---
Span<SalvageResult> |

### Methods

| Improve this Doc View Source

#### Instance()

##### Declaration

    public static AgentSalvage*Instance()

##### Returns

Type | Description
--- | ---
AgentSalvage* |

| Improve this Doc View Source

#### ItemListAdd(Boolean, InventoryType, Int32, UInt32, Void*, UInt32)

##### Declaration

    public void *ItemListAdd(bool meetsLevelRequirement, InventoryType containerId, int containerSlot, uint itemId, void *exdRow, uint quantity)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Boolean | meetsLevelRequirement |
InventoryType | containerId |
System.Int32 | containerSlot |
System.UInt32 | itemId |
System.Void* | exdRow |
System.UInt32 | quantity |

##### Returns

Type | Description
--- | ---
System.Void* |

| Improve this Doc View Source

#### ItemListRefresh()

##### Declaration

    public void *ItemListRefresh()

##### Returns

Type | Description
--- | ---
System.Void* |